package processor

import (
	"context"
	"net/http"

	"github.com/gin-gonic/gin"
)

type ginWriter struct {
	ctx *gin.Context
}

func wrapGin(ctx *gin.Context) ginWriter {
	return ginWriter{
		ctx: ctx,
	}
}

func (w ginWriter) Write(ctx context.Context, resp any) {
	w.ctx.JSON(http.StatusOK, resp)
}

func (w ginWriter) SetCookie(name string, value string, maxAge int, path string, domain string, secure bool, httpOnly bool) {
	w.ctx.SetCookie(name, value, maxAge, path, domain, secure, httpOnly)
}
